Show compatibility error if an add-on uses nsIDOMNSHTMLElement

RESOLVED FIXED in 6.3.3

Status

addons.mozilla.org Graveyard
Compatibility Tools
P2
normal
RESOLVED FIXED
6 years ago
2 years ago

People

(Reporter: jorgev, Assigned: basta)

Tracking

unspecified
6.3.3

Details

(Whiteboard: [fx10])

(Reporter)

Description

6 years ago
As explained in bug 684821, the nsIDOMNSHTMLElement interface is being removed. We need to flag all instances of this interface and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

The nsIDOMNSHTMLElement function has been removed. You can use nsIDOMHTMLElement instead. See <LINK> for more information.

Link: https://bugzilla.mozilla.org/show_bug.cgi?id=684821

Affected add-on:

https://addons.mozilla.org/en-US/firefox/addon/sarkofree/ (old)
Assignee: nobody → mattbasta
Fixed: https://github.com/mozilla/amo-validator/commit/62a91226f358eee683e741d6c17e3a4e45df2309

Pushed to zamboni: https://github.com/mozilla/zamboni/commit/6c4d24f
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.